RIMessage (messages 1.5.0-2.12.0 API)
Date: 2013-02-16

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.messaging.common.messages
Class RIMessage<TEST extends Test>

    java.lang.Object
      org.gcube.common.core.monitoring.GCUBEMessage
          org.gcube.messaging.common.messages.RIMessage<TEST>

All Implemented Interfaces:
  Serializable

    public class RIMessage<TEST extends Test>

extends org.gcube.common.core.monitoring.GCUBEMessage

Model a RunningInstance Message

Author:
  Andrea Manzi(CERN)
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.gcube.common.core.monitoring.GCUBEMessage
`org.gcube.common.core.monitoring.GCUBEMessage.ResultType`

Field Summary
`static String` | `RI` topic base

Fields inherited from class org.gcube.common.core.monitoring.GCUBEMessage
`DATE_FORMAT_NOW, result, scope, sourceGHN, time, topic`

Constructor Summary
`RIMessage()`
`RIMessage(String ghnName, org.gcube.common.core.scope.GCUBEScope VO)` create a RIMessage for the given scope and ghn

Method Summary
`String` | `getServiceClass()` get the service class
`String` | `getServiceName()` get the serviceName
`TEST` | `getTest()` get the test Object
`void` | `setServiceClass(String serviceClass)` set the service class
`void` | `setServiceName(String serviceName)` set the service name
`void` | `setTest(TEST test)` set the test object
`String` | `toString()` to string

Methods inherited from class org.gcube.common.core.monitoring.GCUBEMessage
`getResult, getScope, getSourceGHN, getTime, getTopic, setResult, setScope, setSourceGHN, setTime, setTimeNow, setTopic`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### RI

    public static final String RI

  topic base

  See Also:
    Constant Field Values

Constructor Detail

### RIMessage

    public RIMessage()

### RIMessage

    public RIMessage(String ghnName,
                     org.gcube.common.core.scope.GCUBEScope VO)

  create a RIMessage for the given scope and ghn

  Parameters:
    `ghnName` - the ghn
    `VO` - the scope

Method Detail

### getServiceName

    public String getServiceName()

  get the serviceName

  Returns:
    the serviceName

### setServiceName

    public void setServiceName(String serviceName)

  set the service name

  Parameters:
    `serviceName` -

### getServiceClass

    public String getServiceClass()

  get the service class

  Returns:
    the service class

### setServiceClass

    public void setServiceClass(String serviceClass)

  set the service class

  Parameters:
    `serviceClass` - the service class

### getTest

    public TEST getTest()

  get the test Object

  Returns:
    the test ojbect

### setTest

    public void setTest(TEST test)

  set the test object

  Parameters:
    `test` - the test object

### toString

    public String toString()

  to string

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.